import 'package:shared_preferences/shared_preferences.dart';

import '../../../Helper/Constants/Apiconstants.dart';
import '../../../Model/Response/Admintoken/Admintokenresponse.dart';
import '../../Provider/Admintoken/Getadmintokenprovider.dart';

class GetAdminTokenRepository{

  GetAdminTokenProvider getAdminTokenProvider = GetAdminTokenProvider();

  int? appLocationId;

  Future<GetAdminToken?> getAdminToken() async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    appLocationId = prefs.getInt('appLocationId');
    var result = await getAdminTokenProvider.getAdminToken('${ApiConstants.adminToken}/?applocationid=$appLocationId');
    return result;
  }


}